{% extends "simbion/layout/base.html" %}

{% block content %}

<style>

th {
    cursor: pointer;
}
</style>
<div class="container"style = "margin-top:70px; margin-bottom:100px">
  <h2 style="color : white">Daftar Mahasiswa yang Mendaftar</h2>
  <br>
  <table id="myTable" class="table table-striped text-center" style="background: white">
    <thead>
      <tr>
        <th>No Urut Pendaftar</th>
        <th onclick="sortTable(1)">Nama<img src="https://www.shareicon.net/data/128x128/2016/11/14/852384_sort_512x512.png" width="10", height="10"></th>
        <th onclick="sortTable(2)">NPM<img src="https://www.shareicon.net/data/128x128/2016/11/14/852384_sort_512x512.png" width="10", height="10"></th>
        <th onclick="sortTable(3)">Waktu Daftar<img src="https://www.shareicon.net/data/128x128/2016/11/14/852384_sort_512x512.png" width="10", height="10"></th>
        <th onclick="sortTable(4)">Status Terima<img src="https://www.shareicon.net/data/128x128/2016/11/14/852384_sort_512x512.png" width="10", height="10"></th>
        <th>Pilih</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>1</td>
        <td>Amanda Prasetya</td>
        <td>1606812345</td>
        <td>10 Maret 2018</td>
        <td>Tidak Aktif</td>
        <td><button type="button" class="btn btn-success">Terima</button>
        <button type="button" class="btn btn-danger">Tolak</button></td>
      </tr>
      <tr>
        <td>2</td>
        <td>Justin Bieber</td>
        <td>1606868686</td>
        <td>15 Maret 2018</td>
        <td>Tidak Aktif</td>
        <td><button type="button" class="btn btn-success">Terima</button>
        <button type="button" class="btn btn-danger">Tolak</button></td>
      </tr>
      <tr>
        <td>3</td>
        <td>Scarlett Johanson</td>
        <td>1606854321</td>
        <td>16 Maret 2018</td>
        <td>Tidak Aktif</td>
        <td><button type="button" class="btn btn-success">Terima</button>
        <button type="button" class="btn btn-danger">Tolak</button></td>
      </tr>
      <tr>
        <td>4</td>
        <td>Zedd DJ</td>
        <td>1606888886</td>
        <td>13 Maret 2018</td>
        <td>Tidak Aktif</td>
        <td><button type="button" class="btn btn-success">Terima</button>
        <button type="button" class="btn btn-danger">Tolak</button></td>
      </tr>
      <tr>
        <td>5</td>
        <td>Robert Downey Jr.</td>
        <td>1606877777</td>
        <td>16 Maret 2018</td>
        <td>Tidak Aktif</td>
        <td><button type="button" class="btn btn-success">Terima</button>
        <button type="button" class="btn btn-danger">Tolak</button></td>
      </tr>
      <tr>
        <td>6</td>
        <td>Benedict Cumberbatch</td>
        <td>1606844444</td>
        <td>16 Maret 2018</td>
        <td>Tidak Aktif</td>
        <td><button type="button" class="btn btn-success">Terima</button>
        <button type="button" class="btn btn-danger">Tolak</button></td>
      </tr>
      <tr>
        <td>7</td>
        <td>Kendall Jenner</td>
        <td>1606869696</td>
        <td>16 Maret 2018</td>
        <td>Tidak Aktif</td>
        <td><button type="button" class="btn btn-success">Terima</button>
        <button type="button" class="btn btn-danger">Tolak</button></td>
      </tr>
      <tr>
        <td>8</td>
        <td>Nabilla Hariyana</td>
        <td>1606833362</td>
        <td>16 Maret 2018</td>
        <td>Aktif</td>
        <td>Sudah Diterima</td>
      </tr>
      <tr>
        <td>9</td>
        <td>Nurdela Ardiansyah</td>
        <td>1606834163</td>
        <td>17 Maret 2018</td>
        <td>Aktif</td>
        <td>Sudah Diterima</td>
      </tr>
      <tr>
        <td>10</td>
        <td>Nurul Aisyah</td>
        <td>1606889660</td>
        <td>17 Maret 2018</td>
        <td>Aktif</td>
        <td>Sudah Diterima</td>
      </tr>
    </tbody>
  </table>
  <script>
  function sortTable(n) {
    var table, rows, switching, i, x, y, shouldSwitch, dir, switchcount = 0;
    table = document.getElementById("myTable");
    switching = true;
    //Set the sorting direction to ascending:
    dir = "asc";
    /*Make a loop that will continue until
    no switching has been done:*/
    while (switching) {
      //start by saying: no switching is done:
      switching = false;
      rows = table.getElementsByTagName("TR");
      /*Loop through all table rows (except the
      first, which contains table headers):*/
      for (i = 1; i < (rows.length - 1); i++) {
        //start by saying there should be no switching:
        shouldSwitch = false;
        /*Get the two elements you want to compare,
        one from current row and one from the next:*/
        x = rows[i].getElementsByTagName("TD")[n];
        y = rows[i + 1].getElementsByTagName("TD")[n];
        /*check if the two rows should switch place,
        based on the direction, asc or desc:*/
        if (dir == "asc") {
          if (x.innerHTML.toLowerCase() > y.innerHTML.toLowerCase()) {
            //if so, mark as a switch and break the loop:
            shouldSwitch= true;
            break;
          }
        } else if (dir == "desc") {
          if (x.innerHTML.toLowerCase() < y.innerHTML.toLowerCase()) {
            //if so, mark as a switch and break the loop:
            shouldSwitch= true;
            break;
          }
        }
      }
      if (shouldSwitch) {
        /*If a switch has been marked, make the switch
        and mark that a switch has been done:*/
        rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
        switching = true;
        //Each time a switch is done, increase this count by 1:
        switchcount ++;
      } else {
        /*If no switching has been done AND the direction is "asc",
        set the direction to "desc" and run the while loop again.*/
        if (switchcount == 0 && dir == "asc") {
          dir = "desc";
          switching = true;
        }
      }
    }
  }
  </script>
</div>


{% endblock %}
